# User personas template guide

Thank you for downloading this template from The Good Docs Project! Before using the template, read this template guide for information about how to complete each section. Want to explore more templates? Check them out in our [templates](https://gitlab.com/tgdp/templates) GitLab repository.

## Introduction

User personas are a framework to identify the characteristics that differentiate each user type for your product or service. Discovering more about your users will help you make user-centric product decisions.

You can use this template guide to get started with user personas for your project or product development. The goal of this guide is to help you create user personas that effectively capture your users' needs.

Take a look at the following accompanying resources:

* For step-by-step guidance on creating user personas, explore our [User personas process](User_personas_process.md).

* To fill out your relevant user characteristics into a structured template, explore the [User persona template](User_personas_template.md).  

* To read more from the sources that inspired and shaped our documents on user personas, explore our [User personas resources](User_personas_resources.md).

## User personas in context

User personas are the initial step in a series of UX tools and practices. Once you have user personas within your toolset, you can proceed to plan user stories or apply other user-centered design methods.

The following indicates how user personas fit within the context of other UX methods.

|         | User persona           | User story  | User flow | User journey|
| ------------- |-------------| ----- |-----|-----|
| Focus    | Who are your users?| What features do users need and why? | How will users complete this task? | Where can you ease users’ overall experience? |
| Content    | Detailed description or outline      |  Concise statement	| Visual representation of steps | Comprehensive map or log |

## What is a user persona?

A user persona is a model that represents a defined type of product users. User personas contain the key attributes and needs of actual users, which may include ways of thinking, behavior, motivations, goals, challenges, or roles, among other attributes. 

The better you understand your users, the more accurately you can address their goals and resolve their challenges. In a team context, a user persona serves as a reference point that enables designers, developers, and writers to easily recall a trove of relevant attributes about their users during discussions.

## User personas compared to customer personas

User personas are often confused with customer personas from marketing. While they are both profiles created to represent target groups, they answer different questions and serve distinct purposes. 

To compare how a user persona is different than a customer persona, see the following:

| Type        | Driving Question | Used by | Output | Goals |
| ----------- | ----------- |----------- |----------- |----------- |
| User Persona| How do users interact with our product?|Developers, UX designers, tech writers, or product managers.|Product design decisions, feature deployment decisions, documentation decisions, user onboarding, internal style guides, or community updates. | <ul><li>To see users as people.</li><li>To minimize friction through a user’s journey.</li><li>To identify user-centered features and updates.</li><li>To inform style and voice for documentation.</li>| 	
| Customer Persona| What would motivate customers to buy more of our product?| Marketing teams, advertising agencies, content strategists, or public relations consultants.|Marketing campaigns, landing pages, social media, blog posts, white papers, internal style guides, or internal and public communications.|<ul><li>To encourage more customers to buy products or services.</li><li>To answer buyers’ pain points.</li><li>To build trust and brand loyalty.</li><li>To achieve revenue goals.</li>|

## Why do I need user personas?

The primary purpose of user personas is to guide teams and stakeholders toward decisions that are closely aligned to user needs. User personas should be specific to your product and aid any project discussions that involve your user groups. They improve conversations about users by establishing shared understanding throughout the product development cycle. 

User personas are a reference point. You can think of them like packed boxes during a move. Each box is labeled by room and type for quick identification ("kitchen - appliances," "bedroom - linens"). From the label (the persona's name), you immediately call to mind the detailed items (attributes) contained within. Similarly, once you've established criteria and attributes for user groups, you can efficiently refer to them by user persona: "Operations Ollie needs x, y, z.” Rather than wasting time defining or repeating clarifications on who your users types are.

User personas are especially useful early in your project since they support a foundational understanding of users. But they can continue to inform every stage of a project and at varying scopes, since they can become a decision catalyst when uncertainties arise. They can also be instrumental for reigning in a variety of specific design challenges. For example, when writing end-user guides, they bring into focus a mental model to whom your writing is addressed, which is helpful for any audience-based writing task.

Using product documentation as an example, the following table reveals the benefits of planning a product release with user personas and the detriments of planning without them.

<table>
  <thead>
    <tr>
      <th>Benefits</th>
      <th>Detriments</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        <p>Documentation planned <em>with</em> effective user personas are more likely to have readers who:</p>
        <ul>
          <li>Experience satisfaction because their needs are met.</li>
          <li>Feel enabled by the intentionality of design choices.</li>
          <li>Navigate intuitively between related subjects.</li>
          <li>Find an appropriate balance of information and guidance.</li>
          <li>Relate to a voice and tone that shows an understanding of the reader.</li>
          <li>Trust the product or service.</li>
        </ul>
      </td>
      <td>
      <p>Documentation planned <em>without</em> effective user personas are more likely to have readers who:</p>
        <ul>
          <li>Experience frustration because of failure to meet their needs.</li>
          <li>Feel uncertain about whether they are reading information intended for them.</li>
          <li>Struggle to find needed information.</li>
          <li>Waste time wading through excessive, irrelevant information.</li>
          <li>Sense a disconnection or feel alienated from the voice and tone established.</li>
          <li>Distrust or have doubts about the product or service.</li>
        </ul>
      </td>
    </tr>
  </tbody>
</table>

## Example of a user persona 

The following is an example of a user persona for a product _x_ created with our template:

![User persona avatar](UserPersonaAvatar.png)

## DevOps Dan

### Role: Senior DevOps developer 

**Goals:** 

* Deliver effective consulting solutions to stakeholders and clients, ensuring their automation needs are met.
* Develop and implement a comprehensive test automation strategy for efficient and reliable testing.
* Train new team members and mentor junior developers, fostering skill growth and collaboration.

**Pain points:** 

* Challenges in navigating a complex underlying API structure, hindering the discovery of information programmatically.
* Encountering inefficiencies when trainees follow poorly suggested methods in the documentation, impacting system performance.
* Frustration with valuable code examples being lost in community forums, making retrieval challenging.

## Contents of the *User persona template*

This section details each component of the User Persona template. The number of user personas you create depends on your project's scope. Only keep dimensions and attributes relevant to your project. The template is meant to be customized and adapted to your own specific needs.

When deciding how to represent diverse identities within user persona elements, start by assessing the relevance of demographic factors to your target audience. If the scope of your audience is broad, there may not be a specific demographic factor necessary to target. However, certain contexts and product concepts might require more attention to demographic representation. For example, if your product caters to a particular region or language, consider localized user personas. Or, if your targeted users are university students for instance, reflecting an age range of 18-25 may be a relevant representational factor for creating user personas specific to your context. 

Want to see best practices and further considerations about demographics when it comes to attributes for your user personas? Refer to the [Process guide](User_personas_process.md).

### About the “Visual representation” section

An avatar or profile image for each user persona is highly recommended and offers a functional advantage. Visual representations, like avatars, help your team perceive users as vivid, real individuals—not a vague concept or homogenized group. 

Having a visual reference for each user type simplifies differentiation, reduces ambiguity, and enriches your ability to cater to their perspectives.

For guidance on reflecting diversity when selecting visual representation, see the introduction to [Contents of the User persona template](#contents-of-the-user-persona-template).

A few options for visual representation include:

* **Digital avatars**: stylized in 2D or 3D 
* **AI generated humans**: hyperrealistic images
* **Icons, logos, or symbols**: abstract concepts, simple stamp designs 
* **Graphic elements**: color palettes, shapes, themes

If uncertain which type or style of visual representation to choose, consider:

* **What degree of separation does your team have from users?**

    * *We interact and work closely with users:* You have more latitude to choose an abstract or minimalistic visual approach without compromising the effectiveness of the user persona. 

    * *Our users are distant from our work:* A more realistic image or digital rendering of a person helps humanize and deepen the connection to users. 

* **How many user personas do you anticipate?**

    * *We have a few:* You have more latitude to choose an abstract or minimalistic visual approach. For example, contrast distinctions through primary colors, icons, or shapes.

    * *We have many:* There will be a higher need for memorability and this is an opportunity to reflect a diverse population. You can use realistic digital renderings and introduce more visual components. For example, combine visual elements such as pairing a color palette with a realistic profile image to make each persona stand out notably within a set.

* **Which option aligns better with my organization's brand or the product's aesthetic (especially if publishing or sharing user personas)?**

    * *We use a clean, simple visual concept:* Consider a more abstract or minimalistic approach to reflect branding consistency. 

    * *We use a photorealistic visual style:* Consider more realistic images or digital renderings of individuals to reflect branding consistency. 

---

### About the “Name or type” section

Choosing names for your user personas is a worthwhile step in humanizing and streamlining communication around your user groups. Memorable names facilitate easy recall during discussions, while adding a personal touch to each user type's identity. 

For guidance on reflecting diversity within naming practices, see the introduction to [Contents of the User persona template](#contents-of-the-user-persona-template).

The following are a few best practices for creating memorable user personas names:

* **Pair a key attribute or descriptor with a name.**

    * Combine a relevant attribute or adjective with a name. For example: Java Jesse, Newbie Niko

* **Keep it short.** 

    * Choose short names or nicknames for simplicity. For example, “Developer Dan” is easier to remember and say than “Developer Daniel.”

* **Balance your use of gendered names.** 

    * Be mindful about balancing your selection of each gender traditionally associated with the names under consideration. When possible, consider erring towards gender-neutral options (for example: Alex or Jordan). Avoid excessive selection of one gender over another when naming (unless a specific gender is your target user base).

---

### About the “Dimension” section

A dimension is a foundation for classifying divisions among user groups. It serves both as a fundamental boundary between groups and as a primary level through which to filter down to more specific attributes. 

From the list of attributes in the template (for example, *goals*, *needs*), choose the most significant attribute to elevate as a dimension relevant to your specific product or project’s objective. 

For example, if your project is to make improvements to an existing feature that was poorly received by users, you might prioritize the attribute *pain points* as your user persona dimension. Your next step is to identify which pain point distinguishes one user from another.

Example user persona where the dimesion is *pain points:*
> Frustrated Fiona
>   
>   **Pain point:** Resistant to changes in UI
>
> Confused Carl
>
>   **Pain point:** Struggles to understand the release notes

Typically, the dimension will remain the same across all or most of your user personas, unless you are conducting extensive user research for a large scale project with complex user personas. 

---

### About the “Attributes” section

An attribute is a secondary, shared characteristic among user groups. These are more granular than dimensions and are dependent upon them. 

For example, if you choose “experience level” as a dimension, an inexperienced user’s attributes are all dependent on the context of being a new user: my goal (as a new user), my pain point (as a new user). Within each user persona, you can simply include a brief description or bulleted list of how the user persona fits the attribute, but you may also optionally consider a rank or scale to indicate the degree to which the attribute applies to the user persona if this serves your project’s purpose. For example, Developer Dan is a level 2 when it comes to experience with your product, while Lead Lisa is a level 3).

Select only the relevant attributes needed for your project. Some potential attributes included in the template are the following:

* Goals

* Needs

* Pain points

* Role

* Experience level

* Technical expertise

* Use case

* Thinking pattern

---

Explore other templates from [The Good Docs Project](https://gitlab.com/tgdp/templates). Use our[ feedback form](https://thegooddocsproject.dev/feedback/?template=Persona%20guide) to give feedback on this template.
